Bug 495050 - Broken installation because of rawhide repo usage
Broken installation because of rawhide repo usage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 08:54 EDT by Thomas Woerner
Modified: 2011-06-28 03:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-14.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2009-04-09 08:54:48 EDT
Description of problem:
Using the 11-Beta installer with using the rawhide repo only for installation results in lots of missing packages in the installation. There are unsresolved requirements and the whole installation is useless. All post-scripts failed for me because the package ncurses-libs was not installed. The bad thing here is that there was no error message at all.

Version-Release number of selected component (if applicable):
anaconda in 11-Beta

How reproducible:
Always

Steps to Reproduce:
1. Use 11-Beta installer (via PXE, NFS)
2. Enable rawhide repo
3. Disable 11-Beta repo
4. Wait for installation to finish (~ 406 packages)
5. Use a rescue system and analyse the new installation
  
Actual results:
Broken installation.

Expected results:
Working installation using the latest rawhide packages.

Additional Information:
It is important to use the 11-Beta installer here. The rawhide installer is using the rawhide repo and therefore this problem does not occur.
Comment 1 Chris Lumens 2009-04-09 09:53:54 EDT
We should probably be raising errors on scriptlet problems as a fix for this bug.  That's going to require a little bit of work that we probably cannot do for this release, though.

*** This bug has been marked as a duplicate of bug 452724 ***
Comment 2 Thomas Woerner 2009-04-09 11:26:57 EDT
Not reporting errors is only a side problem.

The major problem is that the standard selection packages seem to be bound to the initial repo. After disabling the std-repo the packages are not part of the installation anymore - or they are, but are not installed. This is not the same as #452724.
Comment 3 Bug Zapper 2009-06-09 09:32:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Lumens 2010-03-16 13:43:23 EDT
Is this still a problem in F13 alpha after all the stuff rvykydal has done?
Comment 5 Thomas Woerner 2010-03-17 09:32:25 EDT
Installing RHEL-6 with the Fedora-13-alpha installer was working for me by deselecting the F-13 repos and adding the RHEL-6 repo. The package selection was a bit strange, but the installed system was bootable.

Maybe it would be good to make the base repo not deselectable at all. Modifying this repo should also result in reloading the comps from the new repo if the checksums are different to the initial repo.
Comment 6 Radek Vykydal 2010-03-17 09:45:50 EDT
(In reply to comment #5)

> Modifying
> this repo should also result in reloading the comps from the new repo if the
> checksums are different to the initial repo.

This will be fixed in bug #555585 for which I have a patch ready to push.
Comment 7 Radek Vykydal 2010-03-17 10:58:36 EDT
(In reply to comment #6)
 
> This will be fixed in bug #555585 for which I have a patch ready to push.    

As fix for #555585 has been pushed, and should appear in version 14.2-1 of anaconda, I'm putting the bug into modified. Thanks for the report and retesting.
Comment 8 Bug Zapper 2010-04-27 09:35:09 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:45:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.